We have compiled a list of manufacturers, distributors, product information, reference prices, and rankings for Adsorption device.
ipros is IPROS GMS ・ IPROS One of the largest technical database sites in Japan that collects information on.

Adsorption device - Company Ranking(12 companies in total)

Last Updated: Aggregation Period:Sep 09, 2026〜Oct 06, 2026
This ranking is based on the number of page views on our site.

Company Name Featured Products
Product Image, Product Name, Price Range overview Application/Performance example
ACF (50% Wet Powder Activated Carbon Supply Device) 【Features of ACF】 • Stable continuous supply • Uniform injection through slurry ... ACF (50% wet powder activated carbon supply device) 【Adsorption Targets】 • Mold odor (e.g., "Geosmin," "2-Methylisoborneol (2-MIB)") •...
【Lineup】 ■RFC-1000 ■RFC-3000 ■RFC-8000 ■RFC-14000 *For more details, please refer to the PDF document or feel free to contact us. 【Applications】 ■ Water equipment for food manufacturing ■ Equipment for regeneration treatment ■ Equipment for advanced treatment, etc. *Fo...
【Other Features】 ■ All-in-one package that does not require additional equipment ■ Effective for adsorbing high-concentration oils (n-Hex) a... *For more details, please refer to the materials. Feel free to contact us as well.*
---

---

---
  1. Featured Products
    Powdered activated carbon supply device and granular adsorption system for PFAS measures.Powdered activated carbon supply device and granular adsorption system for PFAS measures.
    overview
    ACF (50% Wet Powder Activated Carbon Supply Device) 【Features of ACF】 • Stable continuous supply • Uniform injection through slurry ...
    Application/Performance example
    ACF (50% wet powder activated carbon supply device) 【Adsorption Targets】 • Mold odor (e.g., "Geosmin," "2-Methylisoborneol (2-MIB)") •...
    Granular activated carbon adsorption deviceGranular activated carbon adsorption device
    overview
    【Lineup】 ■RFC-1000 ■RFC-3000 ■RFC-8000 ■RFC-14000 *For more details, please refer to the PDF document or feel free to contact us.
    Application/Performance example
    【Applications】 ■ Water equipment for food manufacturing ■ Equipment for regeneration treatment ■ Equipment for advanced treatment, etc. *Fo...
    Activated carbon adsorption device "Reach Filter" extends the life of activated carbon replacement.Activated carbon adsorption device "Reach Filter" extends the life of activated carbon replacement.
    overview
    【Other Features】 ■ All-in-one package that does not require additional equipment ■ Effective for adsorbing high-concentration oils (n-Hex) a...
    Application/Performance example
    *For more details, please refer to the materials. Feel free to contact us as well.*